<div class="card shadow h-100"
     [ngClass]="{'border-left-danger':usersOverLimit,'border-left-warning':!usersOverLimit && usersFree === 0,'border-left-success':!usersOverLimit && usersFree}">
  <div class="card-body">
    <div class="row no-gutters align-items-center">
      <div class="col mr-2">
        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">{{booking.room.number}}
          - {{booking.room.floorName}} - {{booking.room.building}}</div>
        <div class="h5 mb-0 font-weight-bold text-gray-800 mb-1">Since {{ booking.checkin | date:'HH:mm' }}</div>
        <div class="mb-0 font-weight-bold text-gray-600">
          <fa-icon class="text-warning pr-2" [icon]="faUser"
                   *ngFor="let item of [].constructor(usersOccupied)"></fa-icon>
          <fa-icon class="text-gray-300 pr-2" [icon]="faUser" *ngFor="let item of [].constructor(usersFree)"></fa-icon>
          <fa-icon class="text-danger pr-2" [icon]="faUser"
                   *ngFor="let item of [].constructor(usersOverLimit)"></fa-icon>
        </div>
      </div>
      <div class="col-auto">
        <button class="btn btn-primary " (click)="checkout()">
          <fa-icon [icon]="faSignOutAlt"></fa-icon>
        </button>
      </div>
    </div>
  </div>
</div>
